iscsi_session_target_name_get(3)

NAME
iscsi_session_target_name_get - Retrieve iSCSI target name of specified session

SYNOPSIS
const char * iscsi_session_target_name_get (struct iscsi_session *se);

ARGUMENTS

se  Pointer of 'struct iscsi_session'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the iSCSI target name of specified iSCSI session. The iSCSI Target Name specifies the worldwide unique name of the target.

RETURN
const char *. No need to free this memory, the resources will get freed by iscsi_session_free or iscsi_sessions_free.